Update a judgment's state
POST
/api/v3/agents/judgments/{judgmentUniqueId}/state
const url = 'https://api.tryletterhead.com/api/v3/agents/judgments/example/state';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true,"state":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/agents/judgments/example/state \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true, "state": 1 }'Accept or dismiss a judgment an agent raised. state is 0 (pending), 1 (accepted), 2 (dismissed), or 3 (outdated).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” judgmentUniqueId
required
string
The judgment’s unique identifier.
Request Body required
Section titled “Request Body required ” Media type application/json
object
api
required
Required. Set to true to authenticate with an API key.
boolean
state
required
integer
Example
{ "api": true, "state": 1}Responses
Section titled “ Responses ”200 OK
Media type application/json
object
items
Array
message
string
total
integer
Example
{ "items": [], "message": "", "total": 0}Still can’t find what you need? Contact support.